<?php

namespace Drupal\elevatezoomplus;

use Drupal\blazy\BlazyDefault;

/**
 * Defines shared plugin default settings.
 */
class ElevateZoomPlusDefault extends BlazyDefault {

  /**
   * {@inheritdoc}
   */
  public static function baseSettings() {
    return [
      'elevatezoomplus' => 'default',
    ] + parent::baseSettings();
  }

  /**
   * Returns fieldable entity formatter and Views settings.
   */
  public static function extendedSettings() {
    return self::baseSettings() + parent::extendedSettings();
  }

  /**
   * Returns a wrapper to pass tests, or DI where adding params is troublesome.
   *
   * @todo remove for Blazy::fileUrlGenerator by D10 when D8 is dropped.
   */
  public static function fileUrlGenerator() {
    return \Drupal::hasService('file_url_generator') ? \Drupal::service('file_url_generator') : NULL;
  }

}
